Name:    brewtarget
Version: 2.3.1
Release: %mkrel 1
Summary: An open source beer recipe creation tool
Group:   Sciences/Other 
License: GPLv3 and WTFPL and LGPLv2
URL:     http://www.brewtarget.org
Source0: https://github.com/Brewtarget/brewtarget/releases/download/v2.3.1/brewtarget_%{version}.orig.tar.xz

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: sqlite3-devel
BuildRequires: sqlite3-tools
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)

%description
Brewtarget is an open source beer recipe creation tool. It automatically 
calculates color, bitterness, and other parameters for you while you drag and 
drop ingredients into the recipe. Brewtarget also has many other tools such as 
priming sugar calculators, OG correction help, and a unique mash designing tool. 
It also can export and import recipes in BeerXML.

%prep
%setup -q

%build
%cmake -DDOCDIR="%{_defaultdocdir}/%{name}"
%make_build

%install
pushd build
%makeinstall_std
popd
install -D -m 0644 -p doc/brewtarget.1 %buildroot%{_mandir}/man1/brewtarget.1

%files
%doc COPYING.GPLv3 COPYING.WTFPL
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/brewtarget.1*
%{_docdir}/%{name}


%changelog
* Fri Nov 11 2016 guillomovitch <guillomovitch> 2.3.1-1.mga6
+ Revision: 1066476
- new version 2.3.1

* Sat Feb 13 2016 umeabot <umeabot> 2.1.0-2.mga6
+ Revision: 959625
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 guillomovitch <guillomovitch> 2.1.0-1.mga6
+ Revision: 840781
- new version 2.1.0

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-3.mga5
+ Revision: 742182
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-2.mga5
+ Revision: 678218
- Mageia 5 Mass Rebuild

* Mon May 12 2014 guillomovitch <guillomovitch> 2.0.2-1.mga5
+ Revision: 622256
- imported package brewtarget

